All Classes Namespaces Functions Variables Groups Pages
PgsqlSqlUtil::PgsqlUniqueConstraint Class Reference

class modeling a unique constraint More...

Inheritance diagram for PgsqlSqlUtil::PgsqlUniqueConstraint:
[legend]

## Public Member Functions

| constructor (string n, hash n_cols, bool e=True, *string ts)
| creates the object with the given attributes More...
string | getCreateSql (string table_name, *hash opts)
| returns a string that can be used to create the constraint
string | getCreateSql (string name, string table_name, *hash opts)
| returns a string that can be used to rename the constraint
bool | isEnabled ()
| returns True if the constraint is enabled, False if not
PgsqlColumn | memberGate (string k)
| returns the PgsqlColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception More...
Public Member Functions inherited from PgsqlSqlUtil::PgsqlUniqueConstraintCommon
| clearIndex ()
| clears any index base for the constraint
| constructor (*string ts)
| creates the constraint with an optional tablespace name
| getIndexSql (reference sql, string name, *hash opts)
| adds index options onto the sql creation string
*string | getTablespace ()
| returns the tablespace name used for this constraint, if known
abstract AbstractIterator | keyIterator ()
| returns an iterator for keys iterating a list of string key names
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (*string ts)
| sets or clears the tablespace name

## Private Attributes

bool | enabled
| True if the constraint is enabled, False if not

## Detailed Description

class modeling a unique constraint

## Member Function Documentation

PgsqlSqlUtil::PgsqlUniqueConstraint::constructor | ( | string | n,
|  | hash | n_cols,
|  | bool | e = `True`,
|  | *string | ts
| ) |  |

creates the object with the given attributes

Parameters

  n | name of the constraint
  n_cols | column hash
  e | the enabled status of the constraint
  ts | optional tablespace name

PgsqlColumn PgsqlSqlUtil::PgsqlUniqueConstraint::memberGate | ( | string | k | ) |

returns the PgsqlColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  my any $v = $c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See Also
  memberGate_methods